**==alphadi.spg  processed by SPAG 4.50J  at 14:49 on 30 Jun 1995
      FUNCTION ALPHADI(N,J,L,Ln,T)
      IMPLICIT NONE
C*** Start of declarations inserted by SPAG
      REAL a , ALF , ALPHADI , b , C , DELT , dl , E , E3 , ebar , ES , 
     &     F , S , SIG , T , twork , WAVe , x , z12 , zf
      INTEGER J , L , LL , Ln , N
C*** End of declarations inserted by SPAG
C  DIELECTRONIC RECOMBINATION : BURGESS AND TWORKOWSKI FOR H-LIKE
      COMMON /DAT   / E(30) , S(30) , C(30) , WAVe(220) , E3(220) , 
     &                F(220) , LL(30) , SIG(30) , ALF(30) , ES(30)
C
C  BURGESS AND TWORKOWSKI
      z12 = J - 12.
      twork = .84 + .5/J**2 + .03*z12/(1.+4.5E-5*z12**3)
      IF ( N.NE.J ) twork = 1.
      ALPHADI = 0.
      dl = DELT(N,J,L)
      IF ( dl.LE.0. ) RETURN
      zf = J - 1.
      b = SQRT(zf)*(zf+1.)**2.5/SQRT(zf*zf+13.4)
      x = E3(Ln)/((zf+1.)*13.6)
      a = SQRT(x)/(1.+.105*x+.015*x*x)
      ebar = E3(Ln)/(1.+.015*zf**3/(zf+1.)**2)
C
      ALPHADI = .0030*T**(-1.5)*a*b*F(Ln)*twork*dl*EXP(-ebar*11590./T)
      RETURN
      END
